// Quellcode: LED-Tisch Conrad

int reihe_1 = 2;     //R B R G B
int reihe_2 = 3;     //G G B R G
int reihe_3 = 4;     //B R B G R
int reihe_4 = 5;     //R G R G B
int reihe_5 = 6;     //G B G B R
  
int spalte_1 = 8;
int spalte_2 = 9;
int spalte_3 = 10;
int spalte_4 = 11;
int spalte_5 = 12;

int r,s;



void setup() {
  pinMode(reihe_1, OUTPUT);
  pinMode(reihe_2, OUTPUT);
  pinMode(reihe_3, OUTPUT);
  pinMode(reihe_4, OUTPUT);
  pinMode(reihe_5, OUTPUT);
  
  pinMode(spalte_1, OUTPUT);
  pinMode(spalte_2, OUTPUT);
  pinMode(spalte_3, OUTPUT);
  pinMode(spalte_4, OUTPUT);
  pinMode(spalte_5, OUTPUT);

 
}



void loop() {

  // ganze Zeile an:  1+2+3+4+5, 6+7+8+9+10, 11+12+....
  for (r=1; r<=5; r++){
    for (s=1; s<=5; s++){
      einzel_LED(r,s);
    }
    delay(1000);
    alles_aus();
  }
    
  delay(2000);

  // ganze Spalte an:  1+6+11+16+21, 2+7+12+17+22, 3+8+13...
  for (s=1; s<=5; s++){
    for (r=1; r<=5; r++){
      einzel_LED(r,s);
    }
    delay(1000);
    alles_aus();
  }

  delay(2000);

}
 
 
 


void alles_aus () {
 digitalWrite(reihe_1, LOW);
 digitalWrite(reihe_2, LOW);
 digitalWrite(reihe_3, LOW);
 digitalWrite(reihe_4, LOW);
 digitalWrite(reihe_5, LOW);

 digitalWrite(spalte_1, HIGH);
 digitalWrite(spalte_2, HIGH);
 digitalWrite(spalte_3, HIGH);
 digitalWrite(spalte_4, HIGH);
 digitalWrite(spalte_5, HIGH);
}


void einzel_LED (int reihe, int spalte) {
 // einzel_LED(r,s) schaltet LED in Reihe r und Spalte s ein
 if (reihe == 1)   digitalWrite(reihe_1, HIGH);
 if (reihe == 2)   digitalWrite(reihe_2, HIGH);
 if (reihe == 3)   digitalWrite(reihe_3, HIGH);
 if (reihe == 4)   digitalWrite(reihe_4, HIGH);
 if (reihe == 5)   digitalWrite(reihe_5, HIGH);
 
 if (spalte == 1)  digitalWrite(spalte_1, LOW);
 if (spalte == 2)  digitalWrite(spalte_2, LOW);
 if (spalte == 3)  digitalWrite(spalte_3, LOW);
 if (spalte == 4)  digitalWrite(spalte_4, LOW);
 if (spalte == 5)  digitalWrite(spalte_5, LOW);
}
 
 
